Ubuntu

Cosmic Cuttlefish (18.10) on CRAN

R packages for Cosmic Cuttlefish (18.10) have been added to the RRutter3.5 PPA and therefore have been mirrored to CRAN. These are the base packages for R, plus the recommended packages as well as a couple of others (jags, ess, rpy2, and littler). Most of these are already available in the standard 18.10 repositories, but as packages are updated, I will update them for CRAN. Since the lifespan of Cosmic Cuttlefish is so short (support ends July 2019), I will not be creating a version of c2d4u for Cosmic.

November 18th c2d4u Update

86 new or updated packages added to c2d4u this weekend. The new CRAN Task View Missing Data, which was added last month. A number of packages require R 3.5, so the number of packages updated on the R 3.5 version of c2d4u is less. Also, the rstan package, and anything related are not available for Trusty. This is due to the need of the C++14 standard for rstan. If there are any suggestions on how to get this to build on Launchpad, let me know.

August 25th c2d4u Update

64 new or updated packages on c2d4u were uploaded on August 25th. Packages are listed below. Currently on the version 3.5 c2d4u PPA, there are 4059 packages for Bionic, 3674 for Xenial, and 3673 for Trusty. As always, if something fails to install or does not play well with other packages, please let me know. PPA for packages built against R 3.4.*: c2d4u PPA for packages built against R 3.5.*: c2d4u3.

Changes to CRAN Ubuntu webpage regarding apt-secure key

Thanks to a couple of users of the Ubuntu page on the CRAN, I was recently alerted to a duplicate key on the keyserver.ubuntu.com website. If you search for my key using the short ID string, you will find two keys listed. One of the keys is mine, uid “Michael Rutter”. The other key, even though the date suggests otherwise, appears to be new. The uid is “Totally Legit Signing Key”.

c2d4u August 18th Update

On c2d4u, 58 packages were updated or added on August 18th. The list is below. As with many recent updates, a couple of packages require R 3.5. These packages are not being updated on the 3.4 c2d4u. I also updated ess on CRAN to the most recent version, which does not install. Dirk Eddelbuettel is uploading a new version that will hopefully fix things. PPA for packages built against R 3.

June 24th, 2018 c2d4u update

Weekly c2d4u update. 66 packages either updated or new. One more package, lfe, requiring R 3.5, therefore not available on c2d4u for R 3.4. Don’t forget to install an additional PPA in order to support the spatial packages: ubuntugis-stable. PPA for packages built against R 3.4.*: c2d4u PPA for packages built against R 3.5.*: c2d4u3.5 package r_version BDgraph 2.51 CodeDepends 0.6.0 CopulaREMADA 1.1 Delaporte 6.

June 17th, 2018 c2d4u update

Weekly c2d4u update. 101 packages either updated or new. The transition to R 3.5 is starting to be seen on CRAN, as some packages are now requiring the latest version. Of the packages listed below, piecewisesem and dae are not available on c2d4u, which is based on R 3.4. At some point, updates to that version of c2d4u will stop if too many pacakges are R 3.5 dependent. PPA for packages built against R 3.

June 11th, 2018 R 3.5.0 on Debian and Ubuntu: An Update

Overview R 3.5.0 was released a few weeks ago. As it changes some (important) internals, packages installed with a previous version of R have to be rebuilt. This was known and expected, and we took several measured steps to get R binaries to everybody without breakage. The question of but how do I upgrade without breaking my system was asked a few times, e.g., on the r-sig-debian list as well as in this StackOverflow question.

June 9th, 2018 c2d4u Update: 81 updated/new packages

Weekly c2d4u update. 81 packages either updated or new. Package of note this week is sp, a workhorse package for spatial data in R. The issue for Ubuntu is that the binary package has an epoch number of 1 (1:1:1.3-1 to be exact). These epoch numbers are often used in Debian/Ubuntu when the version numbering scheme changes, and the new version is lower than the old version. By adding the “1:”, Ubuntu can deal with the change in numbering correctly.

June 2nd, 2018 c2d4u Update: 21 updated/new packages

Small weekly update to c2d4u. 21 packages in total either updated or new. PPA for pacakges built against R 3.4.*: c2d4u PPA for pacakges built against R 3.5.*: c2d4u3.5 package r_version BART 1.7 BAS 1.5.1 BoSSA 3.3 CompRandFld 1.0.3-5 Compositional 3.1 DepthProc 2.0.3 FixedPoint 0.5 GDINA 2.1.15 HH 3.1-35 MOCCA 1.3 OBsMD 3.0 PBSmapping 2.

c2d4u Update: Adding New Bioconductor Release

When R 3.5 was released, the good folks at the Bioconductor project also released a new version, 3.7. Since I was rebuilding for R 3.5, I didn’t immediately include the updates to Bioconductor in my builds. I have now taken the time to include the update, so there are an additional 83 updated/new packages on c2d4u. (3.4 or 3.5 versions) My PPAs do not provide all the Bioconductor packages. Some are included in a CRAN Task View, therefore they are included in c2d4u.

c2d4u Update: 230 New and Updated Pacakges

On the c2d4u PPAs, my goal is to update and add new packages (from CRAN Task Views) on a weekly basis, usually on the weekend. While I was building c2d4u3.5, I put this on hold, as I didn’t want to build new (to the PPA) packages at the same time as checking old ones. For this update, 230 R packages were either updated or added as new. At this time, I don’t provide information that distinguishes between updated or new, but that feature may be added in the future.

Announcing cran2deb4ubuntu3.5

After building 10,742 packages on Launchpad, I would like announce that cran2deb4ubuntu3.5 (c2d4u3.5 for short) is now available for testing and maybe even actually use. It wasn’t difficult to find if you know your way around launchpad, but you can find the PPA here: https://launchpad.net/~marutter/+archive/ubuntu/c2d4u3.5 Many things to consider before you add this PPA to your Ubuntu machine. The PPA supplies binaries for Trusty (14.04), Xenial (16.04), and Bionic (18.

Update on the Move to R 3.5.0

I am slowly rebuilding the set of packages in c2d4u for use with R 3.5.0. Since packages built under version 3.4.* are not compatible with 3.5.0, they all need to be rebuilt. This includes the packages that came with the new Ubuntu Bionic (18.04) release. It is taking some time. One of the challenges with using Launchpad is that once a package is built, it needs to be published. This takes some time (around 20 minutes).